Package org.apache.tapestry5.internal.services

# Class PathConstructorImpl

java.lang.Object
org.apache.tapestry5.internal.services.PathConstructorImpl

All Implemented Interfaces:
  `PathConstructor`

public class PathConstructorImpl extends Object implements PathConstructor

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `PathConstructorImpl(String contextPath, String applicationFolder)`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `String`
  `constructClientPath(String... terms)`
  Constructs a client path, the path portion of an absolute URL.
  `String`
  `constructDispatchPath(String... terms)`
  Constructs the dispatch path, which is like the client path, but omits the context path; this aligns the result with the value returned from `Request.getPath()`, and is used in code, typically `Dispatcher` implementations, that are attempting to route based on the incoming request path.

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### PathConstructorImpl

    public PathConstructorImpl(@Symbol("tapestry.context-path") String contextPath, @Symbol("tapestry.application-folder") String applicationFolder)

- ## Method Details

  - ### constructClientPath

    public String constructClientPath(String... terms)
    Description copied from interface: `PathConstructor`
    Constructs a client path, the path portion of an absolute URL. The result consists of the the context path (if any), the application folder (if any), then the series of terms.
    Specified by:
      `constructClientPath` in interface `PathConstructor`
    Parameters:
      `terms` - additional terms (folder names, or a file name) following the context path and application folder.
    Returns:
      the full path, starting with a leading slash, and including the context path, application folder, and the terms, all seperated with slashes

  - ### constructDispatchPath

    public String constructDispatchPath(String... terms)
    Description copied from interface: `PathConstructor`
    Constructs the dispatch path, which is like the client path, but omits the context path; this aligns the result with the value returned from `Request.getPath()`, and is used in code, typically `Dispatcher` implementations, that are attempting to route based on the incoming request path.
    Specified by:
      `constructDispatchPath` in interface `PathConstructor`
    Parameters:
      `terms` - additional terms (folder names, or a file name) following the context path and application folder.
    Returns:
      path string starting with a leading slash, and including the application folder (if any) and the individual terms, seperated by slashes